Module org.xerial.sqlitejdbc
Package org.sqlite.jdbc4

## Class JDBC4ResultSet

- java.lang.Object
- - org.sqlite.core.CoreResultSet
  - - org.sqlite.jdbc3.JDBC3ResultSet
    - - org.sqlite.jdbc4.JDBC4ResultSet

All Implemented Interfaces:
  `AutoCloseable`, `ResultSet`, `ResultSetMetaData`, `Wrapper`, `Codes`

    public class JDBC4ResultSet
    extends JDBC3ResultSet
    implements ResultSet, ResultSetMetaData

### Field Summary

### Fields inherited from class org.sqlite.jdbc3.JDBC3ResultSet

`COLUMN_PRECISION, COLUMN_TYPECAST, COLUMN_TYPENAME`

### Fields inherited from class org.sqlite.core.CoreResultSet

`closeStmt, cols, colsMeta, columnNameToIndex, lastCol, limitRows, maxRows, meta, open, row, stmt`

### Fields inherited from interface org.sqlite.core.Codes

`SQLITE_ABORT, SQLITE_AUTH, SQLITE_BLOB, SQLITE_BUSY, SQLITE_CANTOPEN, SQLITE_CONSTRAINT, SQLITE_CORRUPT, SQLITE_DONE, SQLITE_EMPTY, SQLITE_ERROR, SQLITE_FLOAT, SQLITE_FULL, SQLITE_INTEGER, SQLITE_INTERNAL, SQLITE_INTERRUPT, SQLITE_IOERR, SQLITE_LOCKED, SQLITE_MISMATCH, SQLITE_MISUSE, SQLITE_NOLFS, SQLITE_NOMEM, SQLITE_NOTFOUND, SQLITE_NULL, SQLITE_OK, SQLITE_PERM, SQLITE_PROTOCOL, SQLITE_READONLY, SQLITE_ROW, SQLITE_SCHEMA, SQLITE_TEXT, SQLITE_TOOBIG`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Fields inherited from interface java.sql.ResultSetMetaData

`columnNoNulls, columnNullable, columnNullableUnknown`

### Constructor Summary

Constructors
`JDBC4ResultSet​(CoreStatement stmt)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `absolute​(int row)`
`void` `afterLast()`
`void` `beforeFirst()`
`void` `cancelRowUpdates()`
`void` `close()`
`void` `deleteRow()`
`boolean` `first()`
`Array` `getArray​(int i)`
`Array` `getArray​(String col)`
`InputStream` `getAsciiStream​(int col)`
`InputStream` `getAsciiStream​(String col)`
`BigDecimal` `getBigDecimal​(int col, int s)` Deprecated.
`BigDecimal` `getBigDecimal​(String col, int s)` Deprecated.
`Blob` `getBlob​(int col)`
`Blob` `getBlob​(String col)`
`Clob` `getClob​(int col)`
`Clob` `getClob​(String col)`
`int` `getHoldability()`
`Reader` `getNCharacterStream​(int col)`
`Reader` `getNCharacterStream​(String col)`
`NClob` `getNClob​(int columnIndex)`
`NClob` `getNClob​(String columnLabel)`
`String` `getNString​(int columnIndex)`
`String` `getNString​(String columnLabel)`
`<T> T` `getObject​(int columnIndex, Class<T> type)`
`Object` `getObject​(int col, Map map)`
`<T> T` `getObject​(String columnLabel, Class<T> type)`
`Object` `getObject​(String col, Map map)`
`Ref` `getRef​(int i)`
`Ref` `getRef​(String col)`
`RowId` `getRowId​(int columnIndex)`
`RowId` `getRowId​(String columnLabel)`
`SQLXML` `getSQLXML​(int columnIndex)`
`SQLXML` `getSQLXML​(String columnLabel)`
`InputStream` `getUnicodeStream​(int col)`
`InputStream` `getUnicodeStream​(String col)`
`URL` `getURL​(int col)`
`URL` `getURL​(String col)`
`void` `insertRow()`
`boolean` `isClosed()`
`boolean` `isWrapperFor​(Class<?> iface)`
`boolean` `last()`
`void` `moveToCurrentRow()`
`void` `moveToInsertRow()`
`boolean` `previous()`
`void` `refreshRow()`
`boolean` `relative​(int rows)`
`protected SQLException` `unused()`
`<T> T` `unwrap​(Class<T> iface)`
`void` `updateArray​(int col, Array x)`
`void` `updateArray​(String col, Array x)`
`void` `updateAsciiStream​(int columnIndex, InputStream x)`
`void` `updateAsciiStream​(int col, InputStream x, int l)`
`void` `updateAsciiStream​(int columnIndex, InputStream x, long length)`
`void` `updateAsciiStream​(String columnLabel, InputStream x)`
`void` `updateAsciiStream​(String col, InputStream x, int l)`
`void` `updateAsciiStream​(String columnLabel, InputStream x, long length)`
`void` `updateBigDecimal​(int col, BigDecimal x)`
`void` `updateBigDecimal​(String col, BigDecimal x)`
`void` `updateBinaryStream​(int columnIndex, InputStream x)`
`void` `updateBinaryStream​(int c, InputStream x, int l)`
`void` `updateBinaryStream​(int columnIndex, InputStream x, long length)`
`void` `updateBinaryStream​(String columnLabel, InputStream x)`
`void` `updateBinaryStream​(String c, InputStream x, int l)`
`void` `updateBinaryStream​(String columnLabel, InputStream x, long length)`
`void` `updateBlob​(int columnIndex, InputStream inputStream)`
`void` `updateBlob​(int columnIndex, InputStream inputStream, long length)`
`void` `updateBlob​(int col, Blob x)`
`void` `updateBlob​(String columnLabel, InputStream inputStream)`
`void` `updateBlob​(String columnLabel, InputStream inputStream, long length)`
`void` `updateBlob​(String col, Blob x)`
`void` `updateBoolean​(int col, boolean x)`
`void` `updateBoolean​(String col, boolean x)`
`void` `updateByte​(int col, byte x)`
`void` `updateByte​(String col, byte x)`
`void` `updateBytes​(int col, byte[] x)`
`void` `updateBytes​(String col, byte[] x)`
`void` `updateCharacterStream​(int columnIndex, Reader x)`
`void` `updateCharacterStream​(int c, Reader x, int l)`
`void` `updateCharacterStream​(int columnIndex, Reader x, long length)`
`void` `updateCharacterStream​(String columnLabel, Reader reader)`
`void` `updateCharacterStream​(String c, Reader r, int l)`
`void` `updateCharacterStream​(String columnLabel, Reader reader, long length)`
`void` `updateClob​(int columnIndex, Reader reader)`
`void` `updateClob​(int columnIndex, Reader reader, long length)`
`void` `updateClob​(int col, Clob x)`
`void` `updateClob​(String columnLabel, Reader reader)`
`void` `updateClob​(String columnLabel, Reader reader, long length)`
`void` `updateClob​(String col, Clob x)`
`void` `updateDate​(int col, Date x)`
`void` `updateDate​(String col, Date x)`
`void` `updateDouble​(int col, double x)`
`void` `updateDouble​(String col, double x)`
`void` `updateFloat​(int col, float x)`
`void` `updateFloat​(String col, float x)`
`void` `updateInt​(int col, int x)`
`void` `updateInt​(String col, int x)`
`void` `updateLong​(int col, long x)`
`void` `updateLong​(String col, long x)`
`void` `updateNCharacterStream​(int columnIndex, Reader x)`
`void` `updateNCharacterStream​(int columnIndex, Reader x, long length)`
`void` `updateNCharacterStream​(String columnLabel, Reader reader)`
`void` `updateNCharacterStream​(String columnLabel, Reader reader, long length)`
`void` `updateNClob​(int columnIndex, Reader reader)`
`void` `updateNClob​(int columnIndex, Reader reader, long length)`
`void` `updateNClob​(int columnIndex, NClob nClob)`
`void` `updateNClob​(String columnLabel, Reader reader)`
`void` `updateNClob​(String columnLabel, Reader reader, long length)`
`void` `updateNClob​(String columnLabel, NClob nClob)`
`void` `updateNString​(int columnIndex, String nString)`
`void` `updateNString​(String columnLabel, String nString)`
`void` `updateNull​(int col)`
`void` `updateNull​(String col)`
`void` `updateObject​(int c, Object x)`
`void` `updateObject​(int c, Object x, int s)`
`void` `updateObject​(String col, Object x)`
`void` `updateObject​(String c, Object x, int s)`
`void` `updateRef​(int col, Ref x)`
`void` `updateRef​(String c, Ref x)`
`void` `updateRow()`
`void` `updateRowId​(int columnIndex, RowId x)`
`void` `updateRowId​(String columnLabel, RowId x)`
`void` `updateShort​(int c, short x)`
`void` `updateShort​(String c, short x)`
`void` `updateSQLXML​(int columnIndex, SQLXML xmlObject)`
`void` `updateSQLXML​(String columnLabel, SQLXML xmlObject)`
`void` `updateString​(int c, String x)`
`void` `updateString​(String c, String x)`
`void` `updateTime​(int c, Time x)`
`void` `updateTime​(String c, Time x)`
`void` `updateTimestamp​(int c, Timestamp x)`
`void` `updateTimestamp​(String c, Timestamp x)`

### Methods inherited from class org.sqlite.jdbc3.JDBC3ResultSet

`checkCalendar, clearWarnings, findColumn, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCatalogName, getCharacterStream, getCharacterStream, getColumnClassName, getColumnCount, getColumnDisplaySize, getColumnLabel, getColumnName, getColumnType, getColumnTypeName, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getInt, getInt, getLong, getLong, getMetaData, getObject, getObject, getPrecision, getRow, getScale, getSchemaName, getShort, getShort, getStatement, getString, getString, getTableName, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getWarnings, isAfterLast, isAutoIncrement, isBeforeFirst, isCaseSensitive, isCurrency, isDefinitelyWritable, isFirst, isLast, isNullable, isReadOnly, isSearchable, isSigned, isWritable, next, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, wasNull`

### Methods inherited from class org.sqlite.core.CoreResultSet

`addColumnIndexInCache, checkCol, checkMeta, checkOpen, findColumnIndexInCache, getConnectionConfig, getDatabase, isOpen, markCol`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`clearWarnings, findColumn, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getInt, getInt, getLong, getLong, getMetaData, getObject, getObject, getRow, getShort, getShort, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getWarnings, isAfterLast, isBeforeFirst, isFirst, isLast, next, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateObject, updateObject, updateObject, updateObject, wasNull`

### Methods inherited from interface java.sql.ResultSetMetaData

`getCatalogName, getColumnClassName, getColumnCount, getColumnDisplaySize, getColumnLabel, getColumnName, getColumnType, getColumnTypeName, getPrecision, getScale, getSchemaName, getTableName, isAutoIncrement, isCaseSensitive, isCurrency, isDefinitelyWritable, isNullable, isReadOnly, isSearchable, isSigned, isWritable`

### Constructor Detail

#### JDBC4ResultSet

    public JDBC4ResultSet​(CoreStatement stmt)

### Method Detail

#### close

    public void close()
               throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `ResultSet`
Overrides:
  `close` in class `CoreResultSet`
Throws:
  `SQLException`

#### unwrap

    public <T> T unwrap​(Class<T> iface)
                 throws ClassCastException

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `ClassCastException`

#### isWrapperFor

    public boolean isWrapperFor​(Class<?> iface)

Specified by:
  `isWrapperFor` in interface `Wrapper`

#### getRowId

    public RowId getRowId​(int columnIndex)
                   throws SQLException

Specified by:
  `getRowId` in interface `ResultSet`
Throws:
  `SQLException`

#### getRowId

    public RowId getRowId​(String columnLabel)
                   throws SQLException

Specified by:
  `getRowId` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRowId

    public void updateRowId​(int columnIndex,
                            RowId x)
                     throws SQLException

Specified by:
  `updateRowId` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRowId

    public void updateRowId​(String columnLabel,
                            RowId x)
                     throws SQLException

Specified by:
  `updateRowId` in interface `ResultSet`
Throws:
  `SQLException`

#### getHoldability

    public int getHoldability()
                       throws SQLException

Specified by:
  `getHoldability` in interface `ResultSet`
Throws:
  `SQLException`

#### isClosed

    public boolean isClosed()
                     throws SQLException

Specified by:
  `isClosed` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNString

    public void updateNString​(int columnIndex,
                              String nString)
                       throws SQLException

Specified by:
  `updateNString` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNString

    public void updateNString​(String columnLabel,
                              String nString)
                       throws SQLException

Specified by:
  `updateNString` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob​(int columnIndex,
                            NClob nClob)
                     throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob​(String columnLabel,
                            NClob nClob)
                     throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getNClob

    public NClob getNClob​(int columnIndex)
                   throws SQLException

Specified by:
  `getNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getNClob

    public NClob getNClob​(String columnLabel)
                   throws SQLException

Specified by:
  `getNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getSQLXML

    public SQLXML getSQLXML​(int columnIndex)
                     throws SQLException

Specified by:
  `getSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

#### getSQLXML

    public SQLXML getSQLXML​(String columnLabel)
                     throws SQLException

Specified by:
  `getSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

#### updateSQLXML

    public void updateSQLXML​(int columnIndex,
                             SQLXML xmlObject)
                      throws SQLException

Specified by:
  `updateSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

#### updateSQLXML

    public void updateSQLXML​(String columnLabel,
                             SQLXML xmlObject)
                      throws SQLException

Specified by:
  `updateSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

#### getNString

    public String getNString​(int columnIndex)
                      throws SQLException

Specified by:
  `getNString` in interface `ResultSet`
Throws:
  `SQLException`

#### getNString

    public String getNString​(String columnLabel)
                      throws SQLException

Specified by:
  `getNString` in interface `ResultSet`
Throws:
  `SQLException`

#### getNCharacterStream

    public Reader getNCharacterStream​(int col)
                               throws SQLException

Specified by:
  `getNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getNCharacterStream

    public Reader getNCharacterStream​(String col)
                               throws SQLException

Specified by:
  `getNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(int columnIndex,
                                       Reader x,
                                       long length)
                                throws SQLException

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(String columnLabel,
                                       Reader reader,
                                       long length)
                                throws SQLException

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(int columnIndex,
                                  InputStream x,
                                  long length)
                           throws SQLException

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(int columnIndex,
                                   InputStream x,
                                   long length)
                            throws SQLException

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(int columnIndex,
                                      Reader x,
                                      long length)
                               throws SQLException

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(String columnLabel,
                                  InputStream x,
                                  long length)
                           throws SQLException

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(String columnLabel,
                                   InputStream x,
                                   long length)
                            throws SQLException

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(String columnLabel,
                                      Reader reader,
                                      long length)
                               throws SQLException

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob​(int columnIndex,
                           InputStream inputStream,
                           long length)
                    throws SQLException

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob​(String columnLabel,
                           InputStream inputStream,
                           long length)
                    throws SQLException

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob​(int columnIndex,
                           Reader reader,
                           long length)
                    throws SQLException

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob​(String columnLabel,
                           Reader reader,
                           long length)
                    throws SQLException

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob​(int columnIndex,
                            Reader reader,
                            long length)
                     throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob​(String columnLabel,
                            Reader reader,
                            long length)
                     throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(int columnIndex,
                                       Reader x)
                                throws SQLException

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(String columnLabel,
                                       Reader reader)
                                throws SQLException

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(int columnIndex,
                                  InputStream x)
                           throws SQLException

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(int columnIndex,
                                   InputStream x)
                            throws SQLException

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(int columnIndex,
                                      Reader x)
                               throws SQLException

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(String columnLabel,
                                  InputStream x)
                           throws SQLException

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(String columnLabel,
                                   InputStream x)
                            throws SQLException

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(String columnLabel,
                                      Reader reader)
                               throws SQLException

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob​(int columnIndex,
                           InputStream inputStream)
                    throws SQLException

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob​(String columnLabel,
                           InputStream inputStream)
                    throws SQLException

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob​(int columnIndex,
                           Reader reader)
                    throws SQLException

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob​(String columnLabel,
                           Reader reader)
                    throws SQLException

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob​(int columnIndex,
                            Reader reader)
                     throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob​(String columnLabel,
                            Reader reader)
                     throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public <T> T getObject​(int columnIndex,
                           Class<T> type)
                    throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public <T> T getObject​(String columnLabel,
                           Class<T> type)
                    throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### unused

    protected SQLException unused()

#### getArray

    public Array getArray​(int i)
                   throws SQLException

Specified by:
  `getArray` in interface `ResultSet`
Throws:
  `SQLException`

#### getArray

    public Array getArray​(String col)
                   throws SQLException

Specified by:
  `getArray` in interface `ResultSet`
Throws:
  `SQLException`

#### getAsciiStream

    public InputStream getAsciiStream​(int col)
                               throws SQLException

Specified by:
  `getAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getAsciiStream

    public InputStream getAsciiStream​(String col)
                               throws SQLException

Specified by:
  `getAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    @Deprecated
    public BigDecimal getBigDecimal​(int col,
                                    int s)
                             throws SQLException

Deprecated.

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    @Deprecated
    public BigDecimal getBigDecimal​(String col,
                                    int s)
                             throws SQLException

Deprecated.

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### getBlob

    public Blob getBlob​(int col)
                 throws SQLException

Specified by:
  `getBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### getBlob

    public Blob getBlob​(String col)
                 throws SQLException

Specified by:
  `getBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### getClob

    public Clob getClob​(int col)
                 throws SQLException

Specified by:
  `getClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getClob

    public Clob getClob​(String col)
                 throws SQLException

Specified by:
  `getClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public Object getObject​(int col,
                            Map map)
                     throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public Object getObject​(String col,
                            Map map)
                     throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### getRef

    public Ref getRef​(int i)
               throws SQLException

Specified by:
  `getRef` in interface `ResultSet`
Throws:
  `SQLException`

#### getRef

    public Ref getRef​(String col)
               throws SQLException

Specified by:
  `getRef` in interface `ResultSet`
Throws:
  `SQLException`

#### getUnicodeStream

    public InputStream getUnicodeStream​(int col)
                                 throws SQLException

Specified by:
  `getUnicodeStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getUnicodeStream

    public InputStream getUnicodeStream​(String col)
                                 throws SQLException

Specified by:
  `getUnicodeStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getURL

    public URL getURL​(int col)
               throws SQLException

Specified by:
  `getURL` in interface `ResultSet`
Throws:
  `SQLException`

#### getURL

    public URL getURL​(String col)
               throws SQLException

Specified by:
  `getURL` in interface `ResultSet`
Throws:
  `SQLException`

#### insertRow

    public void insertRow()
                   throws SQLException

Specified by:
  `insertRow` in interface `ResultSet`
Throws:
  `SQLException`

#### moveToCurrentRow

    public void moveToCurrentRow()
                          throws SQLException

Specified by:
  `moveToCurrentRow` in interface `ResultSet`
Throws:
  `SQLException`

#### moveToInsertRow

    public void moveToInsertRow()
                         throws SQLException

Specified by:
  `moveToInsertRow` in interface `ResultSet`
Throws:
  `SQLException`

#### last

    public boolean last()
                 throws SQLException

Specified by:
  `last` in interface `ResultSet`
Throws:
  `SQLException`

#### previous

    public boolean previous()
                     throws SQLException

Specified by:
  `previous` in interface `ResultSet`
Throws:
  `SQLException`

#### relative

    public boolean relative​(int rows)
                     throws SQLException

Specified by:
  `relative` in interface `ResultSet`
Throws:
  `SQLException`

#### absolute

    public boolean absolute​(int row)
                     throws SQLException

Specified by:
  `absolute` in interface `ResultSet`
Throws:
  `SQLException`

#### afterLast

    public void afterLast()
                   throws SQLException

Specified by:
  `afterLast` in interface `ResultSet`
Throws:
  `SQLException`

#### beforeFirst

    public void beforeFirst()
                     throws SQLException

Specified by:
  `beforeFirst` in interface `ResultSet`
Throws:
  `SQLException`

#### first

    public boolean first()
                  throws SQLException

Specified by:
  `first` in interface `ResultSet`
Throws:
  `SQLException`

#### cancelRowUpdates

    public void cancelRowUpdates()
                          throws SQLException

Specified by:
  `cancelRowUpdates` in interface `ResultSet`
Throws:
  `SQLException`

#### deleteRow

    public void deleteRow()
                   throws SQLException

Specified by:
  `deleteRow` in interface `ResultSet`
Throws:
  `SQLException`

#### updateArray

    public void updateArray​(int col,
                            Array x)
                     throws SQLException

Specified by:
  `updateArray` in interface `ResultSet`
Throws:
  `SQLException`

#### updateArray

    public void updateArray​(String col,
                            Array x)
                     throws SQLException

Specified by:
  `updateArray` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(int col,
                                  InputStream x,
                                  int l)
                           throws SQLException

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(String col,
                                  InputStream x,
                                  int l)
                           throws SQLException

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBigDecimal

    public void updateBigDecimal​(int col,
                                 BigDecimal x)
                          throws SQLException

Specified by:
  `updateBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBigDecimal

    public void updateBigDecimal​(String col,
                                 BigDecimal x)
                          throws SQLException

Specified by:
  `updateBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(int c,
                                   InputStream x,
                                   int l)
                            throws SQLException

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(String c,
                                   InputStream x,
                                   int l)
                            throws SQLException

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob​(int col,
                           Blob x)
                    throws SQLException

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob​(String col,
                           Blob x)
                    throws SQLException

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBoolean

    public void updateBoolean​(int col,
                              boolean x)
                       throws SQLException

Specified by:
  `updateBoolean` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBoolean

    public void updateBoolean​(String col,
                              boolean x)
                       throws SQLException

Specified by:
  `updateBoolean` in interface `ResultSet`
Throws:
  `SQLException`

#### updateByte

    public void updateByte​(int col,
                           byte x)
                    throws SQLException

Specified by:
  `updateByte` in interface `ResultSet`
Throws:
  `SQLException`

#### updateByte

    public void updateByte​(String col,
                           byte x)
                    throws SQLException

Specified by:
  `updateByte` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBytes

    public void updateBytes​(int col,
                            byte[] x)
                     throws SQLException

Specified by:
  `updateBytes` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBytes

    public void updateBytes​(String col,
                            byte[] x)
                     throws SQLException

Specified by:
  `updateBytes` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(int c,
                                      Reader x,
                                      int l)
                               throws SQLException

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(String c,
                                      Reader r,
                                      int l)
                               throws SQLException

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob​(int col,
                           Clob x)
                    throws SQLException

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob​(String col,
                           Clob x)
                    throws SQLException

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateDate

    public void updateDate​(int col,
                           Date x)
                    throws SQLException

Specified by:
  `updateDate` in interface `ResultSet`
Throws:
  `SQLException`

#### updateDate

    public void updateDate​(String col,
                           Date x)
                    throws SQLException

Specified by:
  `updateDate` in interface `ResultSet`
Throws:
  `SQLException`

#### updateDouble

    public void updateDouble​(int col,
                             double x)
                      throws SQLException

Specified by:
  `updateDouble` in interface `ResultSet`
Throws:
  `SQLException`

#### updateDouble

    public void updateDouble​(String col,
                             double x)
                      throws SQLException

Specified by:
  `updateDouble` in interface `ResultSet`
Throws:
  `SQLException`

#### updateFloat

    public void updateFloat​(int col,
                            float x)
                     throws SQLException

Specified by:
  `updateFloat` in interface `ResultSet`
Throws:
  `SQLException`

#### updateFloat

    public void updateFloat​(String col,
                            float x)
                     throws SQLException

Specified by:
  `updateFloat` in interface `ResultSet`
Throws:
  `SQLException`

#### updateInt

    public void updateInt​(int col,
                          int x)
                   throws SQLException

Specified by:
  `updateInt` in interface `ResultSet`
Throws:
  `SQLException`

#### updateInt

    public void updateInt​(String col,
                          int x)
                   throws SQLException

Specified by:
  `updateInt` in interface `ResultSet`
Throws:
  `SQLException`

#### updateLong

    public void updateLong​(int col,
                           long x)
                    throws SQLException

Specified by:
  `updateLong` in interface `ResultSet`
Throws:
  `SQLException`

#### updateLong

    public void updateLong​(String col,
                           long x)
                    throws SQLException

Specified by:
  `updateLong` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNull

    public void updateNull​(int col)
                    throws SQLException

Specified by:
  `updateNull` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNull

    public void updateNull​(String col)
                    throws SQLException

Specified by:
  `updateNull` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject​(int c,
                             Object x)
                      throws SQLException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject​(int c,
                             Object x,
                             int s)
                      throws SQLException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject​(String col,
                             Object x)
                      throws SQLException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject​(String c,
                             Object x,
                             int s)
                      throws SQLException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRef

    public void updateRef​(int col,
                          Ref x)
                   throws SQLException

Specified by:
  `updateRef` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRef

    public void updateRef​(String c,
                          Ref x)
                   throws SQLException

Specified by:
  `updateRef` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRow

    public void updateRow()
                   throws SQLException

Specified by:
  `updateRow` in interface `ResultSet`
Throws:
  `SQLException`

#### updateShort

    public void updateShort​(int c,
                            short x)
                     throws SQLException

Specified by:
  `updateShort` in interface `ResultSet`
Throws:
  `SQLException`

#### updateShort

    public void updateShort​(String c,
                            short x)
                     throws SQLException

Specified by:
  `updateShort` in interface `ResultSet`
Throws:
  `SQLException`

#### updateString

    public void updateString​(int c,
                             String x)
                      throws SQLException

Specified by:
  `updateString` in interface `ResultSet`
Throws:
  `SQLException`

#### updateString

    public void updateString​(String c,
                             String x)
                      throws SQLException

Specified by:
  `updateString` in interface `ResultSet`
Throws:
  `SQLException`

#### updateTime

    public void updateTime​(int c,
                           Time x)
                    throws SQLException

Specified by:
  `updateTime` in interface `ResultSet`
Throws:
  `SQLException`

#### updateTime

    public void updateTime​(String c,
                           Time x)
                    throws SQLException

Specified by:
  `updateTime` in interface `ResultSet`
Throws:
  `SQLException`

#### updateTimestamp

    public void updateTimestamp​(int c,
                                Timestamp x)
                         throws SQLException

Specified by:
  `updateTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### updateTimestamp

    public void updateTimestamp​(String c,
                                Timestamp x)
                         throws SQLException

Specified by:
  `updateTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### refreshRow

    public void refreshRow()
                    throws SQLException

Specified by:
  `refreshRow` in interface `ResultSet`
Throws:
  `SQLException`